[Unicode]   Common Locale Data Repository : Bug Tracking Home | Site Map | Search
 
Modify

CLDR Ticket #11076(accepted)

Opened 7 months ago

Last modified 5 weeks ago

metaZones.xml issues

Reported by: yoshito Owned by: yoshito
Component: timezone Data Locale:
Phase: dsub Review:
Weeks: Data Xpath:
Xref:

ticket:icubug:13691

Description (last modified by roubert) (diff)

Copied from icubug:13691 reported by nfuller@…


I'm using ICU 60.2 for analyzing time zone data and I found a few anomalies that I wanted to check. This relates to Android: I'm using the name data to help when determining that two zones that are apparently identical (given offset transitions, offsets, etc.) are actually the same. I found a few cases where zones would be identical if not for the names and the ones below stood out as potentially being just incorrect name metadata data.

These may be from CLDR or may be ICU originated. Not sure.

ar : America/Argentina/San_Luis

"Western Argentina Standard Time" is the time zone for America/Argentina/San_Luis when should just be the same as all other Argentina zones? The rules are effectively identical.

cy : Asia/Famagusta

No name for Asia/Famagusta after ~2016-09-07T21:00:00Z?

        "Asia:Famagusta"{
            {
                "Europe_Eastern",
                "1970-01-01 00:00",
                "2016-09-07 21:00",
            }
        }

kz : Asia/Aqtobe

metaZones.txt has a gap... 2004 -> 2005?

        "Asia:Aqtobe"{
            {
                "Aktyubinsk",
                "1970-01-01 00:00",
                "1991-12-15 19:00",
            }
            {
                "Aqtobe",
                "1991-12-15 19:00",
                "2004-10-30 21:00",
            }
            {
                "Kazakhstan_Western",
                "2005-10-30 21:00",
                "9999-12-31 23:59",
            }
        }

mn : Asia/Choibalsan

Asia/Choibalsan same as Asia/Ulaanbaatar after 2008-03-30T15:00:00Z but has a different name?

aq : Antarctica/Palmer

No name after 2016-12-04T03:00:00Z?

Thanks!

GoogleIssue:77677947

Attachments

Change History

comment:1 Changed 6 months ago by roubert

  • Keywords android google added
  • Description modified (diff)

comment:2 Changed 5 months ago by yoshito

  • Owner changed from anybody to yoshito
  • Status changed from new to accepted
  • Milestone changed from UNSCH to 34

ar : America/Argentina/San_Luis
"Western Argentina Standard Time" is the time zone for America/Argentina/San_Luis when should just
be the same as all other Argentina zones? The rules are effectively identical.

It looks the right thing should be mapping to metazone Argentina after 2009 transition.

Zone America/Argentina/San_Luis -4:25:24 - LMT	1894 Oct 31
			-4:16:48 -	CMT	1920 May
			-4:00	-	-04	1930 Dec
			-4:00	Arg	-04/-03	1969 Oct  5
			-3:00	Arg	-03/-02	1990
			-3:00	1:00	-02	1990 Mar 14
			-4:00	-	-04	1990 Oct 15
			-4:00	1:00	-03	1991 Mar  1
			-4:00	-	-04	1991 Jun  1
			-3:00	-	-03	1999 Oct  3
			-4:00	1:00	-03	2000 Mar  3
			-3:00	-	-03	2004 May 31
			-4:00	-	-04	2004 Jul 25
			-3:00	Arg	-03/-02	2008 Jan 21
			-4:00	SanLuis	-04/-03	2009 Oct 11
			-3:00	-	-03

Current:

			<timezone type="America/Argentina/San_Luis">
				<usesMetazone to="1990-03-14 02:00" mzone="Argentina"/>
				<usesMetazone to="1991-06-01 04:00" from="1990-03-14 02:00" mzone="Argentina_Western"/>
				<usesMetazone to="1999-10-03 03:00" from="1991-06-01 04:00" mzone="Argentina"/>
				<usesMetazone to="2000-03-03 03:00" from="1999-10-03 03:00" mzone="Argentina_Western"/>
				<usesMetazone to="2004-05-31 03:00" from="2000-03-03 03:00" mzone="Argentina"/>
				<usesMetazone to="2004-07-25 04:00" from="2004-05-31 03:00" mzone="Argentina_Western"/>
				<usesMetazone to="2008-01-21 02:00" from="2004-07-25 04:00" mzone="Argentina"/>
				<usesMetazone from="2008-01-21 02:00" mzone="Argentina_Western"/>
			</timezone>

Proposed:

			<timezone type="America/Argentina/San_Luis">
				<usesMetazone to="1990-03-14 02:00" mzone="Argentina"/>
				<usesMetazone to="1991-06-01 04:00" from="1990-03-14 02:00" mzone="Argentina_Western"/>
				<usesMetazone to="1999-10-03 03:00" from="1991-06-01 04:00" mzone="Argentina"/>
				<usesMetazone to="2000-03-03 03:00" from="1999-10-03 03:00" mzone="Argentina_Western"/>
				<usesMetazone to="2004-05-31 03:00" from="2000-03-03 03:00" mzone="Argentina"/>
				<usesMetazone to="2004-07-25 04:00" from="2004-05-31 03:00" mzone="Argentina_Western"/>
				<usesMetazone to="2008-01-21 02:00" from="2004-07-25 04:00" mzone="Argentina"/>
				<usesMetazone to="2009-10-11 04:00" from="2008-01-21 02:00" mzone="Argentina_Western"/>
				<usesMetazone from="2009-10-11 04:00" mzone="Argentina"/>
			</timezone>

comment:3 Changed 5 months ago by yoshito

cy : Asia/Famagusta
No name for Asia/Famagusta after ~2016-09-07T21:00:00Z?

Zone	Asia/Famagusta	2:15:48	-	LMT	1921 Nov 14
			2:00	Cyprus	EE%sT	1998 Sep
			2:00	EUAsia	EE%sT	2016 Sep  8
			3:00	-	+03	2017 Oct 29 1:00u
			2:00	EUAsia	EE%sT

Current:

			<timezone type="Asia/Famagusta">
				<usesMetazone to="2016-09-07 21:00" mzone="Europe_Eastern"/>
			</timezone>

Proposed:

			<timezone type="Asia/Famagusta">
				<usesMetazone to="2016-09-07 21:00" mzone="Europe_Eastern"/>
				<usesMetazone from="2017-10-29 01:00" mzone="Europe_Eastern"/>
			</timezone>

Still no name between 2016-09-07 and 2017-10-29.

comment:4 Changed 5 months ago by yoshito

kz : Asia/Aqtobe
metaZones.txt has a gap... 2004 -> 2005?

# Aqtöbe (aka Aktobe, formerly Aktyubinsk) (KZ-AKT)
Zone	Asia/Aqtobe	3:48:40	-	LMT	1924 May  2
			4:00	-	+04	1930 Jun 21
			5:00	-	+05	1981 Apr  1
			5:00	1:00	+06	1981 Oct  1
			6:00	-	+06	1982 Apr  1
			5:00 RussiaAsia	+05/+06	1991 Mar 31  2:00s
			4:00 RussiaAsia	+04/+05	1992 Jan 19  2:00s
			5:00 RussiaAsia	+05/+06	2004 Oct 31  2:00s
			5:00	-	+05

Current:

			<timezone type="Asia/Aqtobe">
				<usesMetazone to="1991-12-15 19:00" mzone="Aktyubinsk"/>
				<usesMetazone to="2004-10-30 21:00" from="1991-12-15 19:00" mzone="Aqtobe"/>
				<usesMetazone from="2005-10-30 21:00" mzone="Kazakhstan_Western"/>
			</timezone>

Proposed:

			<timezone type="Asia/Aqtobe">
				<usesMetazone to="1991-12-15 19:00" mzone="Aktyubinsk"/>
				<usesMetazone to="2004-10-30 21:00" from="1991-12-15 19:00" mzone="Aqtobe"/>
				<usesMetazone from="2004-10-30 21:00" mzone="Kazakhstan_Western"/>
			</timezone>

It looks this is a simple bug.

comment:5 Changed 5 months ago by yoshito

mn : Asia/Choibalsan
Asia/Choibalsan same as Asia/Ulaanbaatar after 2008-03-30T15:00:00Z but has a different name?

Choibalsan has its own metazone, because it was different from Ulaanbaatar. But, I agree the distinction would be no longer necessary.

# Ulaanbaatar, a.k.a. Ulan Bataar, Ulan Bator, Urga
Zone	Asia/Ulaanbaatar 7:07:32 -	LMT	1905 Aug
			7:00	-	+07	1978
			8:00	Mongol	+08/+09
# Choibalsan, a.k.a. Bajan Tümen, Bajan Tumen, Chojbalsan,
# Choybalsan, Sanbejse, Tchoibalsan
Zone	Asia/Choibalsan	7:38:00 -	LMT	1905 Aug
			7:00	-	+07	1978
			8:00	-	+08	1983 Apr
			9:00	Mongol	+09/+10	2008 Mar 31
			8:00	Mongol	+08/+09

Current:

			<timezone type="Asia/Choibalsan">
				<usesMetazone to="1983-03-31 16:00" mzone="Mongolia"/>
				<usesMetazone from="1983-03-31 16:00" mzone="Choibalsan"/>
			</timezone>

Proposed:

			<timezone type="Asia/Choibalsan">
				<usesMetazone to="1983-03-31 16:00" mzone="Mongolia"/>
				<usesMetazone to="2008-03-31 15:00" from="1983-03-31 16:00" mzone="Choibalsan"/>
				<usesMetazone from="2008-03-31 15:00" mzone="Mongolia"/>
			</timezone>

comment:6 Changed 5 months ago by yoshito

aq : Antarctica/Palmer
No name after 2016-12-04T03:00:00Z?


# Palmer, Anvers Island, since 1965 (moved 2 miles in 1968)
#
# From Ethan Dicks (1996-10-06):
# It keeps the same time as Punta Arenas, Chile, because, just like us
# and the South Pole, that's the other end of their supply line....
# I verified with someone who was there that since 1980,
# Palmer has followed Chile.  Prior to that, before the Falklands War,
# Palmer used to be supplied from Argentina.
#
# Zone	NAME		GMTOFF	RULES	FORMAT	[UNTIL]
Zone Antarctica/Palmer	0	-	-00	1965
			-4:00	Arg	-04/-03	1969 Oct  5
			-3:00	Arg	-03/-02	1982 May
			-4:00	Chile	-04/-03	2016 Dec  4
			-3:00	-	-03

Palmer station is a U.S station in Antarctica, and not aligned to any South American country zones any more since Dec 2016. Thus, if we want a specific name, we need to create a new metazone. I feel it's not necessary - using UTC offset format always would work well, instead of inventing non-offset zone names.

comment:7 Changed 3 months ago by mark

It appears that no action needs to be done, and the ticket needs to be closed.

comment:8 Changed 3 months ago by nfuller@…

There may be no action for the last of 5 points I raised, but I believe Yoshito was proposing corrections for some of the others. Or have they been made?

comment:9 Changed 5 weeks ago by pedberg

  • Milestone changed from 34 to upcoming

CLDR 34 BRS closing item, move all open 34 → upcoming

comment:10 Changed 4 weeks ago by mark

  • Milestone changed from upcoming to 35-optional
View

Add a comment

Modify Ticket

Action
as accepted
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.